[tool.poetry]
name = "scoping-review"
version = "0.1.0"
description = ""
authors = ["Marty Oehme <marty.oehme@gmail.com>"]
readme = "README.md"

[tool.poetry.dependencies]
python = "<3.13,>=3.11"
pandas = "^2.1.1"
seaborn = "^0.13.0"
bibtexparser = {version = ">=2.0.0b1", allow-prereleases = true}
jupyter = "^1.0.0"
jupyter-cache = "^0.6.1"
tabulate = "^0.9.0"
openpyxl = "^3.1.2"

[tool.poetry.group.dev.dependencies]
pynvim = "^0.4.3"
pyperclip = "^1.8.2"
poethepoet = "^0.24.4"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"

[tool.ruff]
ignore = ["E402"]

[tool.poe]
poetry_command = ""
[tool.poe.tasks.preview]
help = "Preview the main review in the browser"
cmd = "quarto preview scoping_review.qmd --to=html"
[tool.poe.tasks.render]
help = "Render all project files"
cmd = "quarto render"
[tool.poe.tasks.edit]
help = "Edit the main project file in-environment"
cmd = "nvim"
